#
# spec file for package python-gzipstream
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:        Streaming zlib (gzip) support for python

Name:           python-gzipstream
Version:        1.4.0
Release:        1.4
Source0:        gzipstream-%{version}.tar.gz
License:        Python Copyright
Group:          Development/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if ((!0%{?suse_version}) || (0%{?suse_version} >= 1120))
BuildArch:      noarch
%endif
BuildRequires:  python-devel
Url:            http://rhn.redhat.com

%description
A streaming gzip handler. gzipstream.GzipStream extends the
functionality of the gzip.GzipFile class to allow the processing of
streaming data.



%prep
%setup -q -n gzipstream-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?suse_version}
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix /usr
%else
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python_sitelib}/*

#$Id: gzipstream.spec,v 1.24 2006-12-07 21:16:31 rnewberr Exp $

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
